### Method

# FwupdPlugin Quirks load

since: 1.0.1

#### Declaration [src]

    gboolean
    fu_quirks_load (
      FuQuirks* self,
      FuQuirksLoadFlags load_flags,
      GError** error
    )

#### Description [src]

Loads the various files that define the hardware quirks used in plugins.

Available since: 1.0.1

This method is not directly available to language bindings.

#### Parameters

`load_flags`

  Type: `FuQuirksLoadFlags`

  Load flags.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.